Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Deletes an existing conversation test suite.
PropertyValue
MethodDELETE
Endpointhttps://{{host}}/api/public/stream/:streamId/conversation/testsuite
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Conversation Tests Management; Admin Console: Conversation Tests Management

Query Parameters

ParameterDescriptionRequired
hostEnvironment URL. For example, https://platform.kore.aiRequired
StreamIDStream ID, accessible under General Settings on the App Builder.Required

Sample Request

curl --location --request DELETE \
      'https://{{host}}/api/public/stream/:streamId/conversation/testsuite' \
      --header 'auth: {{jwt-token}}' \
      --header 'bot-language: {{language-code}}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
         "testSuiteNames" : ["newtestcaseconvtest"]
         }'

Body Parameters

ParameterDescriptionRequired
testSuiteNamesArray containing the names of test suites to delete.Required

Sample Response

{
    "status": "Success"
}